using System.Collections.Generic;

namespace LeafWeb.Core.Remote
{
	public interface IPiscalClient
	{
		void SubmitLeafInputFile(PiscalLeafInputFile file);
		PiscalStatus GetLeafInputStatus(PiscalLeafInputFile file);
		IEnumerable<PiscalLeafOutputFile> RetrieveLeafInputResult(PiscalLeafInputFile file);
	}
}
